local Support = {}
SpeedyActions.supportModules["Dominos"] = Support

local _G = getfenv(0)

function Support:SupportLoaded()
	self:BindingsUpdated()
	
	hooksecurefunc(Dominos.ActionButton, "Create", function(self, id)
		
	end)
end

function Support:BindingsUpdated()
	print(DominosActionButton1, "Dominos")
	
	local id = 1
	while( true ) do
		local button = _G["DominosActionButton" .. id]
		if( not button ) then break end
		
		SpeedyActions:RegisterOverrideKey(GetBindingKey(string.format("CLICK DominosActionButton%d:LeftButton", id)))
		print("Found button", button:GetName(), id)
		
		id = id + 1
	end
end